Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.syncpeer
Class TextFieldPeer

    java.lang.Object
      nextapp.echo2.webcontainer.syncpeer.TextComponentPeer
          nextapp.echo2.webcontainer.syncpeer.TextFieldPeer

All Implemented Interfaces:
  ActionProcessor, ComponentSynchronizePeer, DomUpdateSupport, FocusSupport, ImageRenderSupport, PropertyUpdateProcessor

    public class TextFieldPeer

extends TextComponentPeer
implements DomUpdateSupport

Synchronization peer for `nextapp.echo2.app.TextField` components.

This class should not be extended or used by classes outside of the Echo framework.

Field Summary

Fields inherited from interface nextapp.echo2.webcontainer.ActionProcessor
`ACTION_NAME, ACTION_VALUE`

Fields inherited from interface nextapp.echo2.webcontainer.PropertyUpdateProcessor
`PROPERTY_NAME, PROPERTY_VALUE`

Constructor Summary
`TextFieldPeer()`

Method Summary
`void` | `renderHtml(RenderContext rc, ServerComponentUpdate addUpdate, org.w3c.dom.Node parentNode, Component component)` Renders the component in its entirety as a child of the provided parent `Element`.

Methods inherited from class nextapp.echo2.webcontainer.syncpeer.TextComponentPeer
`createBaseCssStyle, getContainerId, getImage, processAction, processPropertyUpdate, renderAdd, renderDispose, renderDisposeDirective, renderInitDirective, renderSetFocus, renderUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFieldPeer

    public TextFieldPeer()

Method Detail

### renderHtml

    public void renderHtml(RenderContext rc,
                           ServerComponentUpdate addUpdate,
                           org.w3c.dom.Node parentNode,
                           Component component)

  Description copied from interface: `DomUpdateSupport`
  Renders the component in its entirety as a child of the provided parent `Element`. The implementation should additionally render any child components, either by invoking their `renderHtml()` methods if their peers also implement `DomUpdateSupport` or by invoking their `ComponentSynchronizePeer.renderAdd()` methods if they do not.

  The implementation must also perform any non-HTML-rendering operations which are performed in the `ComponentSynchronizePeer.renderAdd()` method, e.g., adding message parts that registering event listeners on the client.

  Specified by:
    `renderHtml` in interface `DomUpdateSupport`
  Parameters:
    `rc` - the relevant `RenderContext`
    `addUpdate` - the `ServerComponentUpdate` for which this rendering is being performed
    `parentNode` - the parent DOM node to which this child should add HTML code
    `component` - the `Component` to be rendered
  See Also:
    `DomUpdateSupport.renderHtml(nextapp.echo2.webcontainer.RenderContext, nextapp.echo2.app.update.ServerComponentUpdate, org.w3c.dom.Node, nextapp.echo2.app.Component)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD